iT邦幫忙

0

使用UBUNTU內Synaptic套件管理程式時發生無法讀取問題

各位大家好....我使用ERP時在Synaptic套件管理程式地方出现如下错誤訊習...

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report
.

連更新套件實也是.......

有何方法可以解決的嗎??這状態代表什麼呢??

2 個回答

24
bizpro
iT邦大師 1 級 ‧ 2009-04-15 20:27:23
最佳解答

請試試:
sudo dpkg --configure -a
sudo apt-get update
sudo apt-get upgrade

看更多先前的回應...收起先前的回應...
klm2242 iT邦研究生 1 級 ‧ 2009-04-16 08:48:34 檢舉

感謝我測出來了= =b
不用重灌的感覺真好
XDDD
可以請問一下那些指令的意思嗎??
sudo dpkg --configure -a 我是打這行指令後,這個Synaptic套件管理程式內的東西就跑出來了~~~
另外;這兩個指令呢??是何意思??
sudo apt-get update
sudo apt-get upgrade

不好意思,我才剛學ubuntu不久~所以……問的問題太簡單請包含!!
謝謝
@@~

bizpro iT邦大師 1 級 ‧ 2009-04-16 09:51:23 檢舉

(1) dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
以上的錯誤訊息要求你去執行sudo dpkg --configure -a因為你執行Synaptic時不正常中斷了, -a是appending的意思, 把你中斷的地方找回來.
(2)sudo apt-get update是去更新你的安裝檔資料庫資訊
(3)sudo apt-get upgrade是去更新你的Ubuntu系統, 同時也讓synaptic能知道你已回復了系統.

klm2242 iT邦研究生 1 級 ‧ 2009-04-16 10:30:26 檢舉

感謝~~
不過你怎麼一看我的留言,就知道要給我這幾個指令下去下啊??
你以前也有發生過嗎?

jessewang iT邦研究生 4 級 ‧ 2009-04-16 10:51:01 檢舉

因為那個錯誤訊息已經告訴你要做什麼,只是你看不懂而已,其實~~翻翻英文字典就懂了,Update 跟 Upgrade 不一定要作,通常 apt-get 會隔一段時間自動檢核,手動作只是加快檢核速度而已。

18
pcboy
iT邦高手 1 級 ‧ 2009-04-15 19:31:58

format 重新安裝

klm2242 iT邦研究生 1 級 ‧ 2009-04-16 08:08:37 檢舉

其實我…就是不想重新安裝,想了解為何,才會把文章po上來的= =

我要發表回答

立即登入回答